none
R Tools not installing latest version of packages RRS feed

  • Question

  • Hello, 

    I'm brand new to using R Tools for Visual Studio (2017). I have been testing an R script that worked perfectly in Rstudio, but has some bugs in Visual Studio. It appears that the package I've used - sjPlot - is not being installed at the latest version, but actually many versions behind. This means that I cannot use functions that have worked in Rstudio.

    How can I force the Microsoft R client to install the latest version of a package?

    I'm working on a remote desktop with Windows Server 2016 and Visual Studio 2017.

    Thanks!

    -cb.


    • Edited by cbrechs Wednesday, July 31, 2019 9:01 PM updated
    Wednesday, July 31, 2019 8:53 PM

All replies

  • What version of RClient are you using?  What does 'R.version' return at the R-Interactive prompt?

    You can setup RTools for Visual Studio to use the latest version of R, R 3.6.0, but you need to be running the latest R Engine to be able to install the latest version of R packages. You cannot force R client to use the latest version of R packages, but you need to install the latest version of RClient, if you want to work with that. 

    You can download the latest version of RClient from the following link:

    https://aka.ms/rclient/

    The latest version is RClient 3.5.2 for R 3.5.2.

    Wednesday, July 31, 2019 9:20 PM
  • Thanks stevefw!

    That did the trick. Should have made sure everything was up-to-date before posting.

    Cheers.


    Friday, August 2, 2019 6:23 PM